package cn.tonyandmoney.tuon.core.user;

import com.fasterxml.jackson.annotation.JsonIgnore;

/**
 * @Classname IDept
 * @Description TODO
 * @Date 2019/8/25 20:07
 * @Created by Administrator
 */
public interface IDept {
    /**
     *
     */
    @JsonIgnore
    String PREFIX="TUON_";

    Long getId();

    /**
     * 部门编码，部门编码按照一定的规则进行，可提现部门的层级结构
     * @return 部门编码
     */
    String getCode();
    String getName();

    /**
     * 上级部门id，默认为0
     * @return 父级部门id
     */
    Long getParentId();
}
