package cn.tonyandmoney.tuon.core.error;

import org.springframework.web.server.WebSession;

/**
 * 没有用户信息
 */
public class SessionNoUserException extends UnauthorizedException {

    private WebSession session;

    public SessionNoUserException(WebSession session) {
        this.session = session;
    }

    public SessionNoUserException(WebSession session,String message){
        super(message);
        this.session = session;
    }

    public void setSession(WebSession session) {
        this.session = session;
    }

    public WebSession getSession() {
        return session;
    }
}
